Subject: bug#48148: 27.2; ox-ascii breaks TITLE line wrongly when 2 width char is used

From: Eli Zaretskii <[email-masked]>
Date: Sun, 02 May 2021 15:48:14 +0300

> From: Nicolas Goaziou <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 02 May 2021 14:18:24 +0200
> 
> My problem is that I have some string, _which is not displayed anywhere_
> yet. I need to obtain its real width along with the width of a single
> character in order to compute the length argument in `make-string'.

The width of any text on display is meaningless unless you also tell
in what window will it be displayed.  That's because some of the
factors that affect the display width depend on the window and the
buffer shown by that window.

So assuming the string you have will eventually be displayed in some
window -- and most strings in Emacs are of that kind -- you should use
that window up front.  Otherwise, the value you get from other methods
can only be an approximation, which will sometimes be close, and
sometimes quite far from the truth.